CREATE TABLE `SPORTS_MLB_PLAYERS_CAREER_BATTING_SPLITS` (
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `split_type` ENUM('home-road','month','asb','opponent','stadium') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp` SMALLINT(4) UNSIGNED DEFAULT 0,
  `pa` SMALLINT(5) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(5) UNSIGNED DEFAULT 0,
  `obp_evt` SMALLINT(5) UNSIGNED DEFAULT 0,
  `h` SMALLINT(4) UNSIGNED DEFAULT 0,
  `1b` SMALLINT(4) UNSIGNED DEFAULT 0,
  `2b` SMALLINT(3) UNSIGNED DEFAULT 0,
  `3b` TINYINT(3) UNSIGNED DEFAULT 0,
  `hr` SMALLINT(4) UNSIGNED DEFAULT 0,
  `r` SMALLINT(4) UNSIGNED DEFAULT NULL,
  `rbi` SMALLINT(4) UNSIGNED DEFAULT 0,
  `bb` SMALLINT(4) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(3) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(3) UNSIGNED DEFAULT 0,
  `k` SMALLINT(4) UNSIGNED DEFAULT 0,
  `sb` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `cs` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sac_fly` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sac_hit` TINYINT(3) UNSIGNED DEFAULT NULL,
  `tb` SMALLINT(4) UNSIGNED DEFAULT 0,
  `gidp` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `lob` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(6,1) DEFAULT NULL,
  PRIMARY KEY (`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_CAREER_PITCHING_SPLITS` (
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `split_type` ENUM('pitcher-info','home-road','month','asb','opponent','stadium') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `gs` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `ip` DECIMAL(5,1) UNSIGNED DEFAULT NULL,
  `out` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `tbf` SMALLINT(4) UNSIGNED DEFAULT 0,
  `ab` SMALLINT(3) UNSIGNED DEFAULT 0,
  `pt` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `b` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `s` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `obp_evt` SMALLINT(3) UNSIGNED DEFAULT 0,
  `h` SMALLINT(4) UNSIGNED DEFAULT 0,
  `1b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `2b` SMALLINT(5) UNSIGNED DEFAULT 0,
  `3b` TINYINT(2) UNSIGNED DEFAULT 0,
  `hr` SMALLINT(5) UNSIGNED DEFAULT 0,
  `rbi` SMALLINT(5) UNSIGNED DEFAULT 0,
  `bb` SMALLINT(5) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `r` SMALLINT(4) UNSIGNED DEFAULT NULL,
  `ra` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `er` SMALLINT(4) UNSIGNED DEFAULT NULL,
  `era` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `whip` DECIMAL(6,3) UNSIGNED DEFAULT NULL,
  `hbp` TINYINT(3) UNSIGNED DEFAULT 0,
  `k` SMALLINT(4) UNSIGNED DEFAULT 0,
  `tb` SMALLINT(4) UNSIGNED DEFAULT 0,
  `wp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `bk` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sb` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `cs` TINYINT(3) UNSIGNED DEFAULT NULL,
  `avg_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops_agst` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `cg` TINYINT(2) UNSIGNED DEFAULT NULL,
  `sho` TINYINT(2) UNSIGNED DEFAULT NULL,
  `qs` SMALLINT(4) UNSIGNED DEFAULT NULL,
  `w` TINYINT(3) UNSIGNED DEFAULT NULL,
  `l` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sv` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `hld` TINYINT(3) UNSIGNED DEFAULT NULL,
  `bs` TINYINT(3) UNSIGNED DEFAULT NULL,
  `svo` SMALLINT(3) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(6,1) DEFAULT NULL,
  PRIMARY KEY (`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_CAREER_FIELDING_SPLITS` (
  `player_id` SMALLINT(8) UNSIGNED NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `split_type` ENUM('home-road','month','asb','opponent','stadium') COLLATE latin1_general_ci NOT NULL,
  `split_label` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `tc` SMALLINT(4) UNSIGNED DEFAULT 0,
  `po` SMALLINT(5) UNSIGNED DEFAULT 0,
  `a` SMALLINT(5) UNSIGNED DEFAULT 0,
  `e` TINYINT(2) UNSIGNED DEFAULT 0,
  `pct` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `dp` SMALLINT(5) UNSIGNED DEFAULT 0,
  PRIMARY KEY (`season_type`,`player_id`,`split_type`,`split_label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYERS_CAREER_BATTER_VS_PITCHER` (
  `batter` SMALLINT(8) UNSIGNED NOT NULL,
  `pitcher` SMALLINT(8) UNSIGNED NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `seasons` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `gp` TINYINT(2) UNSIGNED DEFAULT 0,
  `pa` TINYINT(3) UNSIGNED DEFAULT 0,
  `ab` TINYINT(3) UNSIGNED DEFAULT 0,
  `obp_evt` TINYINT(3) UNSIGNED DEFAULT 0,
  `h` TINYINT(2) UNSIGNED DEFAULT 0,
  `1b` TINYINT(2) UNSIGNED DEFAULT 0,
  `2b` TINYINT(2) UNSIGNED DEFAULT 0,
  `3b` TINYINT(1) UNSIGNED DEFAULT 0,
  `hr` TINYINT(2) UNSIGNED DEFAULT 0,
  `rbi` TINYINT(2) UNSIGNED DEFAULT 0,
  `bb` TINYINT(2) UNSIGNED DEFAULT 0,
  `ibb` TINYINT(2) UNSIGNED DEFAULT 0,
  `hbp` TINYINT(1) UNSIGNED DEFAULT 0,
  `k` TINYINT(2) UNSIGNED DEFAULT 0,
  `tb` TINYINT(2) UNSIGNED DEFAULT 0,
  `avg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `obp` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `slg` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `ops` DECIMAL(5,4) UNSIGNED DEFAULT NULL,
  `winprob` DECIMAL(6,1) DEFAULT NULL,
  PRIMARY KEY (`batter`,`pitcher`,`season_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
